Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Interface IConnectSituation

All Superinterfaces:
  ISituationType

All Known Implementing Classes:
  ConnectSituationImpl

Deprecated. This class is deprecated as of 2004-05-17. Use the corresponding class available in org.eclipse.hyades.logging.events.cbe*

public interface IConnectSituation
extends ISituationType

The ConnectSituation deals with the situations that identify aspects about a connection to another component. Messages that say a connection failed, that a connection was created, or that a connection was ended all fall into this category. Existing messages include words like connection reset, connection failed, and failed to get a connection, for example: `DBMN0015W: Failure while creating connection {0} DBMN0033W: connection close failure {0} DBMN0023W: Failed to close a connection {0}`

Since:
  1.0.1
Version:
  1.0.1
Author:
  Richard K. Duggan, Paul E. Slauenwhite
See Also:
  `ISituationType`

Method Summary
`java.lang.String` | `getSituationDisposition()` Deprecated. Returns the situationDisposition.
`java.lang.String` | `getSuccessDisposition()` Deprecated. Returns the successDisposition.
`void` | `setSituationDisposition(java.lang.String situationDisposition)` Deprecated. Sets the situationDisposition.
`void` | `setSuccessDisposition(java.lang.String successDisposition)` Deprecated. Sets the successDisposition.

Methods inherited from interface org.eclipse.hyades.logging.events.ISituationType
`getReasoningScope, init, setReasoningScope`

Method Detail

### getSuccessDisposition

    public java.lang.String getSuccessDisposition()

  Deprecated.
  Returns the successDisposition. This property specifies the success disposition of an operation of a situation that caused the situation to be reported. The successDisposition is a string with the following set of values: SUCCESSFUL UNSUCESSFUL This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Returns:
    String The returned successDisposition.
  Since:
    1.0.1

### getSituationDisposition

    public java.lang.String getSituationDisposition()

  Deprecated.
  Returns the situationDisposition. This property specifies the situation disposition that is representation of the parameters necessary to describe the situation. The situationDisposition is a string with the following set of values: INUSE FREED CLOSED AVAILABLE This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Returns:
    String The returned situationDisposition.
  Since:
    1.0.1

### setSuccessDisposition

    public void setSuccessDisposition(java.lang.String successDisposition)

  Deprecated.
  Sets the successDisposition. This property specifies the success disposition of an operation of a situation that caused the situation to be reported. The successDisposition is a string with the following set of values: SUCCESSFUL UNSUCESSFUL This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Parameters:
    `successDisposition` - The successDisposition to be set.
  Since:
    1.0.1

### setSituationDisposition

    public void setSituationDisposition(java.lang.String situationDisposition)

  Deprecated.
  Sets the situationDisposition. This property specifies the situation disposition that is representation of the parameters necessary to describe the situation. The situationDisposition is a string with the following set of values: INUSE FREED CLOSED AVAILABLE This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Parameters:
    `situationDisposition` - The situationDisposition to be set.
  Since:
    1.0.1

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD